Add people, with your own text
curl --request POST \
--url https://api.b2bsignals.ai/api/v1/workflows/{workflow_id}/enroll-people \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"person_ids": [
"<string>"
],
"people": [
{
"person_id": "<string>",
"lead_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"copy": {},
"custom": {}
}
]
}
'import requests
url = "https://api.b2bsignals.ai/api/v1/workflows/{workflow_id}/enroll-people"
payload = {
"person_ids": ["<string>"],
"people": [
{
"person_id": "<string>",
"lead_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"copy": {},
"custom": {}
}
]
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
person_ids: ['<string>'],
people: [
{
person_id: '<string>',
lead_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
copy: {},
custom: {}
}
]
})
};
fetch('https://api.b2bsignals.ai/api/v1/workflows/{workflow_id}/enroll-people', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.b2bsignals.ai/api/v1/workflows/{workflow_id}/enroll-people",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'person_ids' => [
'<string>'
],
'people' => [
[
'person_id' => '<string>',
'lead_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'copy' => [
],
'custom' => [
]
]
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.b2bsignals.ai/api/v1/workflows/{workflow_id}/enroll-people"
payload := strings.NewReader("{\n \"person_ids\": [\n \"<string>\"\n ],\n \"people\": [\n {\n \"person_id\": \"<string>\",\n \"lead_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"copy\": {},\n \"custom\": {}\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.b2bsignals.ai/api/v1/workflows/{workflow_id}/enroll-people")
.header("X-API-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"person_ids\": [\n \"<string>\"\n ],\n \"people\": [\n {\n \"person_id\": \"<string>\",\n \"lead_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"copy\": {},\n \"custom\": {}\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.b2bsignals.ai/api/v1/workflows/{workflow_id}/enroll-people")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-API-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"person_ids\": [\n \"<string>\"\n ],\n \"people\": [\n {\n \"person_id\": \"<string>\",\n \"lead_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"copy\": {},\n \"custom\": {}\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"campaign": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"autopilot": true,
"status": "<string>"
},
"enrolled": [
{
"person_id": "<string>",
"lead_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sender_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"will_start_after": "<string>"
}
],
"skipped": [
{
"person_id": "<string>",
"reason": "<string>"
}
],
"capacity": {}
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Campaigns
Add people, with your own text
Adds up to 200 people and tells you each person’s result by name. Use people to give your own text for a step, for one person. The same skip rules apply as for adding by id.
POST
/
workflows
/
{workflow_id}
/
enroll-people
Add people, with your own text
curl --request POST \
--url https://api.b2bsignals.ai/api/v1/workflows/{workflow_id}/enroll-people \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"person_ids": [
"<string>"
],
"people": [
{
"person_id": "<string>",
"lead_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"copy": {},
"custom": {}
}
]
}
'import requests
url = "https://api.b2bsignals.ai/api/v1/workflows/{workflow_id}/enroll-people"
payload = {
"person_ids": ["<string>"],
"people": [
{
"person_id": "<string>",
"lead_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"copy": {},
"custom": {}
}
]
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
person_ids: ['<string>'],
people: [
{
person_id: '<string>',
lead_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
copy: {},
custom: {}
}
]
})
};
fetch('https://api.b2bsignals.ai/api/v1/workflows/{workflow_id}/enroll-people', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.b2bsignals.ai/api/v1/workflows/{workflow_id}/enroll-people",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'person_ids' => [
'<string>'
],
'people' => [
[
'person_id' => '<string>',
'lead_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'copy' => [
],
'custom' => [
]
]
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.b2bsignals.ai/api/v1/workflows/{workflow_id}/enroll-people"
payload := strings.NewReader("{\n \"person_ids\": [\n \"<string>\"\n ],\n \"people\": [\n {\n \"person_id\": \"<string>\",\n \"lead_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"copy\": {},\n \"custom\": {}\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.b2bsignals.ai/api/v1/workflows/{workflow_id}/enroll-people")
.header("X-API-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"person_ids\": [\n \"<string>\"\n ],\n \"people\": [\n {\n \"person_id\": \"<string>\",\n \"lead_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"copy\": {},\n \"custom\": {}\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.b2bsignals.ai/api/v1/workflows/{workflow_id}/enroll-people")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-API-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"person_ids\": [\n \"<string>\"\n ],\n \"people\": [\n {\n \"person_id\": \"<string>\",\n \"lead_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"copy\": {},\n \"custom\": {}\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"campaign": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"autopilot": true,
"status": "<string>"
},
"enrolled": [
{
"person_id": "<string>",
"lead_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sender_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"will_start_after": "<string>"
}
],
"skipped": [
{
"person_id": "<string>",
"reason": "<string>"
}
],
"capacity": {}
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Your workspace's API key. It starts with b2b_sk_.
Path Parameters
Body
application/json